from alembic.ddl.base import RenameTable
from alembic import migration

from sqlalchemy_redshift import dialect


def test_configure_migration_context():
    context = migration.MigrationContext.configure(
        url='redshift+psycopg2://mydb'
    )
    assert isinstance(context.impl, dialect.RedshiftImpl)


def test_rename_table():
    compiler = dialect.RedshiftDDLCompiler(dialect.RedshiftDialect(), None)
    sql = compiler.process(RenameTable("old", "new", "scheme"))
    assert sql == 'ALTER TABLE scheme."old" RENAME TO "new"'
